/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.resource.events;

import org.xwiki.observation.event.Event;
import org.xwiki.resource.ResourceReference;
import org.xwiki.stability.Unstable;

/**
 * Common interface for all event related to {@link org.xwiki.resource.ResourceReferenceHandler}.
 * 
 * @version $Id: 388990211ab8d15da789b771fcab2c9c972a06ee $
 * @since 9.11RC1
 */
@Unstable
public interface ResourceReferenceHandlerEvent extends Event
{
    /**
     * @return the reference
     */
    ResourceReference getResourceReference();
}
